searchNodes=[{"doc":"Elixir client for Music Player Daemon (MPD). Mpdex can be used to send commands to MPD, parse responses, manipulate play queue and playlists as well as to receive notifications about status and play queue changes.","ref":"Mpdex.html","title":"Mpdex","type":"module"},{"doc":"Adds URI to the playlist. Automatically creates playlist if it does not exist.","ref":"Mpdex.html#add_to_list/3","title":"Mpdex.add_to_list/3","type":"function"},{"doc":"Adds URI to the queue. If URI is directory it will be added recursively. Otherwise single file or URL is added.","ref":"Mpdex.html#add_to_queue/2","title":"Mpdex.add_to_queue/2","type":"function"},{"doc":"Seeks backward current song to the position time (in seconds; fractions allowed) relative to current position.","ref":"Mpdex.html#backward/2","title":"Mpdex.backward/2","type":"function"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Mpdex.html#child_spec/1","title":"Mpdex.child_spec/1","type":"function"},{"doc":"Clears the queue.","ref":"Mpdex.html#clear/1","title":"Mpdex.clear/1","type":"function"},{"doc":"Clears the playlist.","ref":"Mpdex.html#clear_list/2","title":"Mpdex.clear_list/2","type":"function"},{"doc":"Sets crossfading between songs.","ref":"Mpdex.html#crossfade/2","title":"Mpdex.crossfade/2","type":"function"},{"doc":"Deletes playlist.","ref":"Mpdex.html#delete/2","title":"Mpdex.delete/2","type":"function"},{"doc":"Deletes song at the given position from the playlist.","ref":"Mpdex.html#delete_song_at/3","title":"Mpdex.delete_song_at/3","type":"function"},{"doc":"Seeks forward current song to the position time (in seconds; fractions allowed) relative to the current position.","ref":"Mpdex.html#forward/2","title":"Mpdex.forward/2","type":"function"},{"doc":"Gets the content of the playlist. Examples Mpdex . get ( mpd , &quot;Radio&quot; ) { :ok , [ %{ file : &quot;https://naxidigital-classic128ssl.streaming.rs:8032#Naxi Classic&quot; , metadata : %{ album : &quot;Unknown&quot; , artist : &quot;Unknown&quot; , time : 0 , title : &quot;https://naxidigital-classic128ssl.streaming.rs:8032#Naxi Classic&quot; , undefined : &quot;&quot; } } , %{ file : &quot;https://naxidigital-cafe128ssl.streaming.rs:8022#Naxi Cafe Radio&quot; , metadata : %{ album : &quot;Unknown&quot; , artist : &quot;Unknown&quot; , time : 0 , title : &quot;https://naxidigital-cafe128ssl.streaming.rs:8022#Naxi Cafe Radio&quot; , undefined : &quot;&quot; } } ] }","ref":"Mpdex.html#get/2","title":"Mpdex.get/2","type":"function"},{"doc":"Returns a list of music DB entries in the given URI.","ref":"Mpdex.html#list_db/2","title":"Mpdex.list_db/2","type":"function"},{"doc":"Loads the whole playlist into the play queue.","ref":"Mpdex.html#load/2","title":"Mpdex.load/2","type":"function"},{"doc":"Moves song in the playlist from the position from to the position to .","ref":"Mpdex.html#move_song_in_playlist/4","title":"Mpdex.move_song_in_playlist/4","type":"function"},{"doc":"Moves a song or range of songs to the given position. It accepts following options: :start - start position :end - end position (song on end position is excluded) :to - position to which songs will be moved If both arguments are given all songs in the range will be moved, otherwise moves song on the position :start . Examples Mpdex . move_song_in_queue ( mpd , start : 1 , to : 0 ) { :ok , &quot;OK \\n &quot; } Mpdex . move_song_in_queue ( mpd , start : 0 , end : 3 , to : 5 ) { :ok , &quot;OK \\n &quot; }","ref":"Mpdex.html#move_song_in_queue/2","title":"Mpdex.move_song_in_queue/2","type":"function"},{"doc":"Plays next song in the queue.","ref":"Mpdex.html#next/1","title":"Mpdex.next/1","type":"function"},{"doc":"Pauses playback.","ref":"Mpdex.html#pause/1","title":"Mpdex.pause/1","type":"function"},{"doc":"Begins playing the playlist at song position or with song ID. Examples Mpdex . play ( :position , 2 ) Mpdex . play ( :id , 23 )","ref":"Mpdex.html#play/3","title":"Mpdex.play/3","type":"function"},{"doc":"Gets saved playlists. Examples Mpdex . playlists ( mpd ) { :ok , [ %{ last_modified : ~U[2022-08-10 11:52:13Z] , playlist : &quot;Radio&quot; } , %{ last_modified : ~U[2022-08-14 11:42:29Z] , playlist : &quot;Classic&quot; } ] }","ref":"Mpdex.html#playlists/1","title":"Mpdex.playlists/1","type":"function"},{"doc":"Plays previous song in the queue.","ref":"Mpdex.html#previous/1","title":"Mpdex.previous/1","type":"function"},{"doc":"Returns content of the queue. Examples Mpdex . queue ( mpd ) { :ok , [ %{ file : &quot;https://naxidigital-cafe128ssl.streaming.rs:8022#Naxi Cafe Radio&quot; , metadata : %{ album : &quot;Unknown&quot; , artist : &quot;Unknown&quot; , id : &quot;1&quot; , name : &quot;NAXI CAFE RADIO (NAXI,Belgrade,Serbia, NAXI,Beograd,Srbija) - 128k&quot; , position : 0 , time : 0 , title : &quot;https://naxidigital-cafe128ssl.streaming.rs:8022#Naxi Cafe Radio&quot; , undefined : &quot;&quot; } } , %{ file : &quot;Classic/radetzky-march.mp3&quot; , metadata : %{ album : &quot;The Wedding Collection 1&quot; , artist : &quot;Various&quot; , duration : 178.04 , genre : &quot;Blues&quot; , id : &quot;2&quot; , last_modified : ~U[2012-01-29 12:56:50Z] , position : 1 , time : 178 , title : &quot;Radetzky March op. 228/Johann&quot; , undefined : [ &quot;OK&quot; , &quot;&quot; ] } } ] }","ref":"Mpdex.html#queue/1","title":"Mpdex.queue/1","type":"function"},{"doc":"Turns random off.","ref":"Mpdex.html#random_off/1","title":"Mpdex.random_off/1","type":"function"},{"doc":"Turns random on.","ref":"Mpdex.html#random_on/1","title":"Mpdex.random_on/1","type":"function"},{"doc":"Deletes song or range of songs from the queue. It accepts following options: :start - start position :end - end position (exclusive) If both arguments are given all songs in the range will be removed, otherwise removes song on the position :start . Examples # deletes song on position 1 Mpdex . remove_from_queue ( mpd , start : 1 ) { :ok , &quot;OK \\n &quot; } # deletes songs 0, 1 and 2 Mpdex . remove_from_queue ( mpd , start : 0 , end : 3 ) { :ok , &quot;OK \\n &quot; }","ref":"Mpdex.html#remove_from_queue/2","title":"Mpdex.remove_from_queue/2","type":"function"},{"doc":"Renames the playlist list_name to the new_name .","ref":"Mpdex.html#rename/3","title":"Mpdex.rename/3","type":"function"},{"doc":"Turns repeat off.","ref":"Mpdex.html#repeat_off/1","title":"Mpdex.repeat_off/1","type":"function"},{"doc":"Turns repeat on.","ref":"Mpdex.html#repeat_on/1","title":"Mpdex.repeat_on/1","type":"function"},{"doc":"Resumes playback.","ref":"Mpdex.html#resume/1","title":"Mpdex.resume/1","type":"function"},{"doc":"Saves the current play queue to the new playlist.","ref":"Mpdex.html#save_queue_to_playlist/2","title":"Mpdex.save_queue_to_playlist/2","type":"function"},{"doc":"Seeks current song to the position time (in seconds; fractions allowed).","ref":"Mpdex.html#seek/2","title":"Mpdex.seek/2","type":"function"},{"doc":"Shuffles the queue. It accepts the following options: :start - start of range to be shuffled :end - end of range to be shuffled Without options shuffles entire queue.","ref":"Mpdex.html#shuffle_queue/2","title":"Mpdex.shuffle_queue/2","type":"function"},{"doc":"Mpdex GenServer start_link options :host - host IP where MPD is running (default 127.0.0.1) :port - integer port number on which MPD listenes for connections (default 6600) :name - GenServer name Examples { :ok , mpd } = Mpdex . start_link ( host : &quot;10.0.0.1&quot; , port : 6600 )","ref":"Mpdex.html#start_link/1","title":"Mpdex.start_link/1","type":"function"},{"doc":"Returns statistics. Examples Mpdex . statistics ( mpd ) %{ albums : &quot;78&quot; , artists : &quot;216&quot; , db_playtime : &quot;291742&quot; , db_update : &quot;1660465475&quot; , playtime : &quot;20034&quot; , songs : &quot;1140&quot; , uptime : &quot;25174&quot; }","ref":"Mpdex.html#statistics/1","title":"Mpdex.statistics/1","type":"function"},{"doc":"Returns current playback status. Examples Mpdex . status ( mpd ) %{ audio : [ samplerate : &quot;44100&quot; , bits : &quot;24&quot; , channels : &quot;2&quot; ] , bitrate : &quot;128&quot; , consume : &quot;0&quot; , elapsed : &quot;20109.183&quot; , mixrampdb : &quot;0.000000&quot; , nextsong : &quot;1&quot; , nextsongid : &quot;2&quot; , playlist : &quot;4&quot; , playlistlength : &quot;2&quot; , random : &quot;0&quot; , repeat : &quot;0&quot; , single : &quot;0&quot; , song : &quot;0&quot; , songid : &quot;1&quot; , state : &quot;play&quot; , time : &quot;20109:0&quot; , volume : &quot;16&quot; }","ref":"Mpdex.html#status/1","title":"Mpdex.status/1","type":"function"},{"doc":"Stops playing","ref":"Mpdex.html#stop/1","title":"Mpdex.stop/1","type":"function"},{"doc":"Subscribes client process to MPD notifications","ref":"Mpdex.html#subscribe/0","title":"Mpdex.subscribe/0","type":"function"},{"doc":"Updates MPD's music DB from the given URI.","ref":"Mpdex.html#update_db/2","title":"Mpdex.update_db/2","type":"function"},{"doc":"Sets playback volume (from 0 to 100).","ref":"Mpdex.html#volume/2","title":"Mpdex.volume/2","type":"function"},{"doc":"Elixir client for Music Player Daemon. Library does not implement complete MPD protocol . Only essential parts for manipulating playback, music database, play lists and play queue are implemented. Through Elixir.Registry Mpdex allows client process to subscribe to notifications and receive MPD status and play queue changes.","ref":"readme.html","title":"Mpdex","type":"extras"},{"doc":"Package can be installed by adding mpdex to your list of dependencies in mix.exs : def deps do [ { :mpdex , &quot;~&gt; 1.0.0&quot; } ] end","ref":"readme.html#installation","title":"Mpdex - Installation","type":"extras"},{"doc":"For details see Mpdex documentation. Manipulating play queue { :ok , mpd } = Mpdex . start_link ( host : &quot;localhost&quot; , port : 6600 ) # Clear the play queue Mpdex . clear ( mpd ) # Add stream to queue Mpdex . add_to_queue ( mpd , &quot;https://naxidigital-cafe128ssl.streaming.rs:8022#Naxi Cafe Radio&quot; ) # Add file to queue Mpdex . add_to_queue ( mpd , &quot;Klasika/radetzky-march.mp3&quot; ) Mpdex will broadcast each queue change in the following format (with all unrecognized metadata, if any, returned as a list): [ %{ file : &quot;https://naxidigital-cafe128ssl.streaming.rs:8022#Naxi Cafe Radio&quot; , metadata : %{ album : &quot;Unknown&quot; , artist : &quot;Unknown&quot; , id : &quot;10&quot; , name : &quot;NAXI CAFE RADIO (NAXI,Belgrade,Serbia, NAXI,Beograd,Srbija) - 128k&quot; , position : 0 , time : 0 , title : &quot;https://naxidigital-cafe128ssl.streaming.rs:8022#Naxi Cafe Radio&quot; , undefined : &quot;&quot; } } , %{ file : &quot;Klasika/radetzky-march.mp3&quot; , metadata : %{ album : &quot;The Wedding Collection 1&quot; , artist : &quot;Various&quot; , duration : 178.04 , genre : &quot;Blues&quot; , id : &quot;11&quot; , last_modified : ~U[2012-01-29 12:56:50Z] , position : 1 , time : 178 , title : &quot;Radetzky March op. 228/Johann&quot; , undefined : [ &quot;OK&quot; , &quot;&quot; ] } } ] Playback Mpdex . play ( mpd , :position , 0 ) Mpdex . stop ( mpd ) Mpdex broadcasts status as a hash of values: %{ audio : [ samplerate : &quot;44100&quot; , bits : &quot;24&quot; , channels : &quot;2&quot; ] , bitrate : &quot;128&quot; , consume : &quot;0&quot; , elapsed : &quot;0.878&quot; , mixrampdb : &quot;0.000000&quot; , nextsong : &quot;1&quot; , nextsongid : &quot;11&quot; , playlist : &quot;20&quot; , playlistlength : &quot;2&quot; , random : &quot;0&quot; , repeat : &quot;0&quot; , single : &quot;0&quot; , song : &quot;0&quot; , songid : &quot;10&quot; , state : &quot;play&quot; , time : &quot;1:0&quot; , volume : &quot;0&quot; }","ref":"readme.html#usage","title":"Mpdex - Usage","type":"extras"}]